Bug 166820 - Duplicate Labels reported after selecting 'upgrade'
Duplicate Labels reported after selecting 'upgrade'
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-08-26 00:02 EDT by Lenny G. Arbage
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-24 17:09:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lenny G. Arbage 2005-08-26 00:02:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Fedora/1.7.6-1.2.5

Description of problem:
After selecting 'upgrade' and selecting the partition (I have a slave disk with an old install), the installer pops up a window titled "Duplicate Labels" with the message "Multiple devices on your system are labelled" (truncated there).  It then gives one suggestion: reboot.
hda looks like this:
   Device Boot      Start         End      Blocks   Id  System
   /dev/hda1               1           5       40131   de  Dell Utility
   /dev/hda2   *           6         642     5116702+   b  W95 FAT32
   /dev/hda3             643        3583    23623582+  83  Linux
   /dev/hda4            3584        3647      514080    f  W95 Ext'd (LBA)
   /dev/hda5            3584        3647      514048+  82  Linux swap
hdb looks like:
  Device Boot      Start         End      Blocks   Id  System
  /dev/hdb1               1         392     3148708+   b  W95 FAT32
  /dev/hdb2             393         915     4200997+  83  Linux
  /dev/hdb3             916         932      136552+  82  Linux swap
  /dev/hdb4             933        2168     9928170    5  Extended
  /dev/hdb5   *         933        1060     1028128+  83  Linux
  /dev/hdb6            1061        1583     4200966   83  Linux
  /dev/hdb7            1584        2168     4698981   83  Linux

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Attempt to upgrade FC2 box from CD
2. Click "Next" after installer chooses "upgrade"


Additional info:
Comment 1 Lenny G. Arbage 2005-08-26 00:22:30 EDT
As a note, I had this same problem on this box when I upgraded from FC1 to FC2.
 The solution I used then was to open up the case and detach the second drive
before installing, then reattach after install finished (turning the drive off
in BIOS has no effect).
Comment 2 G Brannon Smith 2005-08-28 12:08:30 EDT
I had this same problem last night upgrading FC3 to FC4 on a system with two IDE
disks, no RAID or LVM, with a swap partition on each, much like the above.
Examination of the error output on the console screens indicated a swap label
problem. After some fiddling, I remade the formerly unlabelled swap partitions
with labels using the -L switch of the mkswap command. The upgrade then
proceeded as normal.
Comment 3 Lenny G. Arbage 2005-08-28 20:30:49 EDT
Tried that, did the trick.  Thanks for the pointer.
Comment 4 Jeremy Katz 2005-08-30 14:43:19 EDT
Did you have anything with duplicate labels?  That should be the only way this
check gets triggered...
Comment 5 Lenny G. Arbage 2005-08-31 10:42:09 EDT
It appears that the default labels for the swap partitions caused the problem. 
hdb was, at one time, the primary (master) drive, and as such was bootable
(RH7.1 and 7.2) with its own swap partitions.

I didn't find any documentation on the -L switch for mkswap as suggested in
comment #2 above, so I just used fdisk to delete hdb3 (b's swap partition). 
After deleting hdb3, the message went away and I was able to upgrade.

In this case (two or more swap partitions with the same label), couldn't the
installer simply use the one that is on the primary disk?  Or rename them
automatically?  Or ask the user to pick which partition they would like to use
as the swap partition?  Or simply show a more helpful message, at least
indicating which partitions are causing the problem?  (I certainly don't
understand all the details of why anaconda has a problem in this case, just
throwing out some ideas).

At any rate, I'm sure this is a somewaht rare problem -- most users probably
don't replace their primary drives by just moving them to the slave position. 
But it appears that doing so will result in this error pretty much every time.

Comment 6 Christian Iseli 2007-01-22 05:39:42 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 7 Red Hat Bugzilla 2007-06-11 22:54:47 EDT
requested by Jams Antill

Note You need to log in before you can comment on or make changes to this bug.